package cn.cslg.pas.common.utils.handler;

/**
 * @name 专利类型处理类
 * @description 1.将传入的专利类型转换成不同的ID 2.目前这个没有用字典项的原因是因为不同数据源的叫法不一致 无法统一进行分类
 */
public class PatentTypeHandler implements IProcessData {
    public PatentTypeHandler() {
    }

    @Override
    public Object processData(Object data, Object ob) {
        if (data.toString().contains("实用新型")) {
            return 1;
        } else if (data.toString().contains("发明申请") || data.toString().contains("发明公布")) {
            return 2;
        } else if (data.toString().contains("外观设计")) {
            return 3;
        } else if (data.toString().contains("授权")) {
            return 4;
        }
        return null;
    }
}
